Skip to main content
GET
Staking positions for a wallet

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

walletId
string
required

An ID uniquely identifying an Anchorage Digital wallet

Minimum string length: 1

Query Parameters

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

Minimum string length: 1
limit
integer<int64>
default:25

Maximum number of results to return per query

Required range: 1 <= x <= 100
transactionId
string

The transaction Id to filter the wallet positions

Minimum string length: 1

Response

Wallet positions info for the specified wallet

data
WalletPositionsDetails · object[]
required
page
Page · object
required

Pagination info